﻿//***************************************************************************
// (C) 2011 Avery Weigh-Tronix, LLC. 
//***************************************************************************
// TITLE: wtconst.cs
// DESCR: This is the C# version of the wtconst.bas constants definition 
//        file to be used with the AWTX WtComm ActiveX control 
//        The developer must add this file to the application project.
//
// ***************************************************************************
// APPLICATION GLOBAL CONSTANTS (PUBLIC)
// ***************************************************************************

namespace WTComm_Test
{
    public static class wtConst
    {
        // Scale Connection:
        //(used to set connection and determine current connection status)
        public const int wtSCALE_OFFLINE = 0;
        public const int wtSCALE_ONLINE = 1;

        // ScaleCommEvent Codes:
        public const int wtWTCOMM_EV_WEIGHT = 1;        // weight updated (or changed)
        public const int wtWTCOMM_EV_STATUS = 2;        // status changed
        public const int wtWTCOMM_EV_OFFLINE = 3;       // scale has been set offline
        public const int wtWTCOMM_EV_TIMEOUT = 4;       // scale not responding (or timed-out)
        public const int wtWTCOMM_EV_ERROR = 5;         // framing, data lost, recv buff full,
                                                        // xmit buff full, parity or dcb error
    }
}
